### Signal

# Gtk Notebook::change-current-page

#### Declaration

    gboolean
    change_current_page (
      GtkNotebook* self,
      gint page,
      gpointer user_data
    )

#### Description [src]

Emitted when the current page should be changed.

The default bindings for this signal are `Ctrl`+`Alt`+`PgUp`, `Ctrl`+`Alt`+`PgDn`, `Ctrl`+`PgUp` and `Ctrl`+`PgDn`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`page`

  Type: `gint`

  The page index.

#### Return value

Type: `gboolean`

Whether the page was changed.